### Method

# Vips Image draw_circle1

#### Declaration [src]

    int
    vips_draw_circle1 (
      VipsImage* image,
      double ink,
      int cx,
      int cy,
      int radius,
      ...
    )

#### Description [src]

As `vips_draw_circle()`, but just takes a single double for `ink`.

Optional arguments

- `fill`: `gboolean`, fill the draw_circle

See also

`vips_draw_circle()`.

This method is not directly available to language bindings.

#### Parameters

`ink`

  Type: `double`

  Value to draw.

`cx`

  Type: `int`

  Centre of draw_circle.

`cy`

  Type: `int`

  Centre of draw_circle.

`radius`

  Type: `int`

  Draw_circle radius.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, or -1 on error.